package DB;
public class WarningHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(DB.WarningHelper.id(),"Warning",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("sqlcode",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("sqlstate",org.omg.CORBA.ORB.init().create_string_tc(5),null),new org.omg.CORBA.StructMember("sqlmessage",org.omg.CORBA.ORB.init().create_string_tc(255),null)});
	public WarningHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.Warning s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.Warning extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/Warning:1.0";
	}
	public static DB.Warning read(org.omg.CORBA.portable.InputStream in)
	{
		DB.Warning result = new DB.Warning();
		result.sqlcode=in.read_long();
		result.sqlstate=in.read_string();
		result.sqlmessage=in.read_string();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, DB.Warning s)
	{
out.write_long(s.sqlcode);
out.write_string(s.sqlstate);
out.write_string(s.sqlmessage);
	}
}
